import type { ConfirmationOptions } from 'primevue/confirmationoptions';
export interface IConfirmationOptionsExtended extends ConfirmationOptions {
    icon: 'exclamation' | 'info' | 'error' | 'success' | 'warning';
    question?: string;
    instructions?: Array<string>;
}
export interface IDialogSlotProps {
    message: IConfirmationOptionsExtended;
}
declare const _default: import("vue").DefineComponent<{
    group: StringConstructor;
    breakpoints: {
        type: ObjectConstructor;
        default: () => {
            '960px': string;
            '640px': string;
        };
    };
    draggable: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    group: StringConstructor;
    breakpoints: {
        type: ObjectConstructor;
        default: () => {
            '960px': string;
            '640px': string;
        };
    };
    draggable: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    breakpoints: Record<string, any>;
    draggable: boolean;
}, {}>;
export default _default;
